Bug 863546 - ikiwiki requires YAML::XS, but this dependency is not specified in ikiwiki package
ikiwiki requires YAML::XS, but this dependency is not specified in ikiwiki pa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ikiwiki (Show other bugs)
17
Unspecified All
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 14:49 EDT by Lars Kellogg-Stedman
Modified: 2012-10-18 14:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 14:11:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lars Kellogg-Stedman 2012-10-05 14:49:13 EDT
Description of problem:

ikiwiki requires perl YAML::XS module, but this isn't specified in the package dependencies.

Version-Release number of selected component (if applicable):

ikiwiki-3.20120629-1.fc17.noarch

Additional info:

YAML::XS is required in an eval statement in:

/usr/share/perl5/vendor_perl/IkiWiki/Setup/Yaml.pm
Comment 1 Fedora Update System 2012-10-05 17:12:11 EDT
ikiwiki-3.20120725-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-15438/ikiwiki-3.20120725-2.fc17
Comment 2 Fedora Update System 2012-10-05 23:43:22 EDT
Package ikiwiki-3.20120725-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ikiwiki-3.20120725-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15438/ikiwiki-3.20120725-2.fc17
then log in and leave karma (feedback).
Comment 3 Lars Kellogg-Stedman 2012-10-07 07:14:02 EDT
Looks good to me.  Thanks!
Comment 4 Thomas Moschny 2012-10-18 14:11:35 EDT
ikiwiki-3.20120725-2.fc17 has been pushed to stable.

Note You need to log in before you can comment on or make changes to this bug.